API referenceApplications
Update allowlist / record template / name
Authorization
apiKey AuthorizationBearer <token>
API key: sk_test_… / sk_live_… (hashed at rest, scoped)
In: header
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/applications/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "name": "string", "environment": "test", "allowed_origins": [ "http://example.com" ], "record_template": [ { "host": "string", "type": "A", "value": "string", "ttl": 300, "priority": 0 } ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "created_at": "2019-08-24T14:15:22Z"}{ "error": { "code": "string", "message": "string", "details": null }}